---
title: Rail status event update
slug: fourkites-api-reference/rail-status-event-update
createdAt: 2024-02-05T08:13:55.000Z
---

:::ApiMethodV2
```json
{
  "name": "Rail Event",
  "method": "POST",
  "url": "https://api.fourkites.com/load/update/dispatcher-api/async",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "A7Tsvgnmw7rglHtFt1mgt",
        "language": "curl",
        "code": "curl --location 'https://api.fourkites.com/load/update/dispatcher-api/async' \\\n--header 'Content-Type: application/json' \\\n--header 'apikey: testkey' \\\n--data '{\n    \"updates\": [\n        {\n            \"timeZone\": \"UTC\",\n            \"billToCode\": \"Shipper unique id\",\n            \"identifierKeys\": [\n                {\n                    \"identifier\": \"Load reference #1\",\n                    \"rawIdentifier\": \"Carrier format - Load reference #1\",\n                    \"identifierType\": \"Load reference identifier type in FourKites or Carrier company\" //If FourKites standard used, then only reference would be searched using given identifierType otherwise skipped\n                },\n                {\n                    \"identifier\": \"Load reference #2\",\n                    \"rawIdentifier\": \"Carrier format - Load reference #2\",\n                    \"identifierType\": \"Load reference identifier type in FourKites or Carrier company\"\n                },\n                {\n                    \"identifier\": \"Load reference #3\",\n                    \"rawIdentifier\": \"Carrier format - Load reference #3\",\n                    \"identifierType\": \"Load reference identifier type in FourKites or Carrier company\"\n                },\n                {\n                    \"identifier\": \"Load reference #4\",\n                    \"rawIdentifier\": \"Carrier format - Load reference #4\",\n                    \"identifierType\": \"Load reference identifier type in FourKites or Carrier company\"\n                }\n            ],\n            \"assignmentUpdate\": {\n                \"railEquipmentInitials\": \"railEquipmentInitials\",\n                \"railEquipmentNumber\": \"railEquipmentNumber\",\n                \"wagonNumber\": \"wagonNumber\"\n            },\n            \"loadUpdate\": [\n                {\n                    \"eventUpdate\": {\n                        \"modeType\": [\n                            \"rail\"\n                        ],\n                        \"statusCode\": \"statusCodeevent\",\n                        \"statusDescription\": \"statusDescriptionevent\",\n                        \"statusReasonCode\": \"statusReasonCodeevent\",\n                        \"eventTimeStamp\": \"eventTimeStampevent\",\n                        \"city\": \"cityevent\",\n                        \"state\": \"stateevent\",\n                        \"country\": \"country\",\n                        \"railEventCode\": \"railEventCode\",\n                        \"shipmentStatusIndicator\": \"shipmentStatusIndicator\",\n                        \"shipmentStatus\": \"shipmentStatus\"\n                    }\n                }\n            ]\n        }\n    ]\n}'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "A7Tsvgnmw7rglHtFt1mgt"
  },
  "results": {
    "languages": [
      {
        "id": "WddmdrqmVG0OooSGjBrDt",
        "language": "202",
        "customLabel": "",
        "code": "{\n  \"requestId\": \"5a50c2e2-3061-4075-97d4-cd2ca9db6100\",\n  \"status\": \"202\",\n  \"message\": \"API Request Accepted\",\n  \"timestamp\": \"2023-09-29T14:02:52.089886\"\n}"
      }
    ],
    "selectedLanguageId": "WddmdrqmVG0OooSGjBrDt"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "rail-event",
  "legacyHash": "3YEkxmfnJvqVmqGr7jRLb"
}
```
:::

:::hint{type="warning"}
At least one of the fields — `railEventCode`, `shipmentStatusIndicator`, or `shipmentStatus` — is required to be mapped to Rail Event.
:::

## Header

***

| **Content-Type** | application/json |
| ---------------- | ---------------- |
| **apikey**       | testkey          |

## Body

***

```json
{
    "updates": [
        {
            "timeZone": "UTC",
            "billToCode": "Shipper unique id",
            "identifierKeys": [
                {
                    "identifier": "Load reference #1",
                    "rawIdentifier": "Carrier format - Load reference #1",
                    "identifierType": "Load reference identifier type in FourKites or Carrier company" //If FourKites standard used, then only reference would be searched using given identifierType otherwise skipped
                },
                {
                    "identifier": "Load reference #2",
                    "rawIdentifier": "Carrier format - Load reference #2",
                    "identifierType": "Load reference identifier type in FourKites or Carrier company"
                },
                {
                    "identifier": "Load reference #3",
                    "rawIdentifier": "Carrier format - Load reference #3",
                    "identifierType": "Load reference identifier type in FourKites or Carrier company"
                },
                {
                    "identifier": "Load reference #4",
                    "rawIdentifier": "Carrier format - Load reference #4",
                    "identifierType": "Load reference identifier type in FourKites or Carrier company"
                }
            ],
            "assignmentUpdate": {
                "railEquipmentInitials": "railEquipmentInitials",
                "railEquipmentNumber": "railEquipmentNumber",
                "wagonNumber": "wagonNumber"
            },
            "loadUpdate": [
                {
                    "eventUpdate": {
                        "modeType": [
                            "rail"
                        ],
                        "statusCode": "statusCodeevent",
                        "statusDescription": "statusDescriptionevent",
                        "statusReasonCode": "statusReasonCodeevent",
                        "eventTimeStamp": "eventTimeStampevent",
                        "city": "cityevent",
                        "state": "stateevent",
                        "country": "country",
                        "railEventCode": "railEventCode",
                        "shipmentStatusIndicator": "shipmentStatusIndicator",
                        "shipmentStatus": "shipmentStatus"
                    }
                }
            ]
        }
    ]
}
```
